For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • GETGet Tax Settings
              • PUTUpdate Tax Settings
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax Settings

Get Tax Settings

GET
https://api.bigcommerce.com/stores/:store_hash/v3/tax/settings
GET
/stores/:store_hash/v3/tax/settings
$curl https://api.bigcommerce.com/stores/store_hash/v3/tax/settings \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": {
3 "tax_entered_with_prices": true,
4 "price_display_settings": {
5 "control_panel_price_display_strategy": "ZONE",
6 "invoice_price_display_strategy": "ZONE"
7 },
8 "fallback_strategy": "FIXED",
9 "should_subtract_store_tax": true,
10 "should_use_geolocation_to_determine_guest_shopper_tax_zone": false,
11 "guest_shopper_tax_zone_id": 5,
12 "store_tax_zone_id": 3,
13 "document_submission_strategy": "ON_PAYMENT_CAPTURE",
14 "rounding_strategy": "RATE_ROUNDING"
15 },
16 "meta": {}
17}

Retrieves global-level tax settings.

Was this page helpful?
Previous

Delete Tax Rates

Next

Update Tax Settings

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
dataobject
metaobject
Response metadata.